drop proc SH_FLAGRECEPCIONTRAN
go
create proc SH_FLAGRECEPCIONTRAN
@SITEID UD_IDSITE,
@IDTABLE ud_TABLEID,
@fechaproceso VARCHAR(20),
@usuario ud_userid,
@filename UD_DESCRIPCION
as

begin tran

	insert into sh_receptions (SITEID,TABLEID,DATEPROCE,USERID,filename ) 
	values (@SITEID,@IDTABLE,@fechaproceso,@usuario,@filename)

	IF (@@error!=0)
	   BEGIN
	        RAISERROR  20001 'no se puede grabar registro de recepcion'
	        ROLLBACK TRAN
	        RETURN(2)
	    END
    COMMIT TRAN
    RETURN(0)
go

SH_FLAGRECEPCIONTRAN '57','020','20030205','SYSADMIN','yy'
select * from sh_receptions
--DELETE sh_receptions

